<?php
// +----------------------------------------------------------------------
// websocket - http发包给TCP
// +----------------------------------------------------------------------
// Copyright (c) 2018 https://xiuxian.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
ini_set("display_errors", "On"); 
error_reporting(E_ALL | E_STRICT);

class go {
    /**
	 * host-IP
	*/
	private static $_host = '你的IP地址';
	/**
	 * 端口号
	*/
    private static $_port = '9502';
    /**
     * APPID
    */
    private static $_appid = '后台的APPID';

    /**
     * 发包
    */
    public static function run($data) { 
		return self::https_request('http://'.self::$_host.':'.self::$_port, $data);
    }

    private static function https_request($url, $data = null){
        $data['appid'] = self::$_appid;
        # 初始化一个cURL会话
        $curl = curl_init();  
        //设置请求选项, 包括具体的url
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);  //禁用后cURL将终止从服务端进行验证
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
        if (!empty($data)){
            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);  //设置具体的post数据
        }
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);        
        $response = curl_exec($curl);  //执行一个cURL会话并且获取相关回复

        curl_close($curl);  //释放cURL句柄,关闭一个cURL会话
        return $response;
    }
}

// 发送单条记录
var_dump(go::run([
    'user_id' => '我先假设',
    'code' => 4, // 广播消息
    'content' => '我是自定义的字段，按自己业务随便加呗'
]));
// 群发记录
var_dump(go::run([
    'user_id' => '',// 我为空就是群发
    'code' => 4, // 广播消息
    'content' => '我是自定义的字段，按自己业务随便加呗'
]));
// 获取自己渠道详细的信息，里面暂时只包含了在线人数on_line
var_dump(go::run([
    'code' => 7, // 广播消息
]));
// 获取自己渠道下的在线用户列表
var_dump(go::run([
    'code' => 8, // 广播消息
    'limit' => 10, // 一页十条
    'page' => 1, // 第1页
]));
