/*
Navicat MySQL Data Transfer

Source Server         : 本地
Source Server Version : 50562
Source Host           : localhost:3306
Source Database       : thinkphp5_1

Target Server Type    : MYSQL
Target Server Version : 50562
File Encoding         : 65001

Date: 2020-01-09 09:26:52
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for tp_auth_admin
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin`;
CREATE TABLE `tp_auth_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) DEFAULT NULL COMMENT '用户名',
  `pwd` varchar(32) DEFAULT NULL COMMENT 'DM5后的密码',
  `nick` varchar(32) DEFAULT NULL COMMENT '昵称',
  `logo` varchar(120) DEFAULT NULL COMMENT '头像地址',
  `role` int(11) DEFAULT NULL COMMENT '角色ID',
  `phone` varchar(32) DEFAULT NULL COMMENT '手机号',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `type` tinyint(1) DEFAULT '1' COMMENT '身份 1|2|3 管理员|加盟商|商户',
  `auto_time` int(10) DEFAULT NULL COMMENT '七天登录 - 过期时间',
  `auto_rand` int(8) DEFAULT NULL COMMENT '七天登录 - 秘钥',
  `auto_ip` varchar(32) DEFAULT NULL COMMENT '七天登录 - IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `role` (`role`) USING BTREE,
  KEY `name` (`name`),
  KEY `phone` (`phone`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员';

-- ----------------------------
-- Records of tp_auth_admin
-- ----------------------------
INSERT INTO `tp_auth_admin` VALUES ('1', 'admin', '1e9cc7b0bad90033900d375b9e839288', '小黄牛', null, '0', '15992431688', '1', '1', '0', '0', '', '1557736403', '1557804808');

-- ----------------------------
-- Table structure for tp_auth_admin_action
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action`;
CREATE TABLE `tp_auth_admin_action` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action
-- ----------------------------

-- ----------------------------
-- Table structure for tp_auth_admin_action_02
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action_02`;
CREATE TABLE `tp_auth_admin_action_02` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action_02
-- ----------------------------
INSERT INTO `tp_auth_admin_action_02` VALUES ('1192552719655', '1', 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"admin\"}', '127.0.0.1', '1578463292', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1193094695780', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"0\",\"name\":\"渠道管理\",\"controller\":\"\",\"action\":\"\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1578463358', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1193244516852', '1', 'auth/menu_update', '修改成功！', '{\"id\":\"34\",\"name\":\"渠道管理\",\"controller\":\"\",\"action\":\"\",\"icon\":\"user\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1578463377', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1193961589638', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"34\",\"name\":\"渠道列表\",\"controller\":\"channel\",\"action\":\"index\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1578463464', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1196959116200', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"35\",\"name\":\"新增\",\"controller\":\"channel\",\"action\":\"insert\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1578463830', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1199544346281', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"35\",\"name\":\"删除\",\"controller\":\"channel\",\"action\":\"delete\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1578464146', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1203873173470', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"35\",\"name\":\"修改\",\"controller\":\"channel\",\"action\":\"update\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1578464674', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1211735411701', '1', 'channel/insert', '新增成功！', '{\"title\":\"test\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465634', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1211946897083', '1', 'channel/insert', '新增成功！', '{\"title\":\"asdkjakdl\",\"code\":\"00002\",\"appid\":\"asdadsq231e\",\"secret_key\":\"asdads1231\",\"status\":\"1\"}', '127.0.0.1', '1578465660', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1212070799113', '1', 'channel/delete', '共：1条数据，成功删除：1条！', '{\"id\":[{\"id\":\"2\"}]}', '127.0.0.1', '1578465675', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1212950987561', '1', 'channel/update', '修改成功！', '{\"id\":\"1\",\"title\":\"测试-安代驾\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465782', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1213023078410', '1', 'channel/update', '修改失败！', '{\"id\":\"1\",\"title\":\"测试-安代驾\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465791', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1213070092996', '1', 'channel/update', '修改失败！', '{\"id\":\"1\",\"title\":\"测试-安代驾\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465797', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1213385625267', '1', 'channel/update', '修改成功！', '{\"id\":\"1\",\"title\":\"测试-安代驾-123\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465835', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1213457269348', '1', 'channel/update', '修改成功！', '{\"id\":\"1\",\"title\":\"测试-安代驾\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465844', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1213588876968', '1', 'channel/update', '修改失败！', '{\"id\":\"1\",\"title\":\"测试-安代驾\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"status\":\"1\"}', '127.0.0.1', '1578465860', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('1216621694539', '1', 'channel/update', '修改成功！', '{\"id\":\"1\",\"title\":\"测试-安代驾\",\"code\":\"001\",\"appid\":\"89172389asiude\",\"secret_key\":\"asd131dasdadasda\",\"max_num\":\"3\",\"status\":\"1\"}', '127.0.0.1', '1578466230', null);
INSERT INTO `tp_auth_admin_action_02` VALUES ('35014850330828', '1', 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"admin\"}', '127.0.0.1', '1578297023', null);

-- ----------------------------
-- Table structure for tp_auth_admin_login
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_login`;
CREATE TABLE `tp_auth_admin_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `ip` varchar(32) DEFAULT NULL COMMENT 'IP',
  `province` varchar(32) DEFAULT NULL COMMENT '省',
  `city` varchar(32) DEFAULT NULL COMMENT '市',
  `area` varchar(32) DEFAULT NULL COMMENT '区',
  `create_time` int(19) DEFAULT NULL COMMENT '登录时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 登录日志表';

-- ----------------------------
-- Records of tp_auth_admin_login
-- ----------------------------
INSERT INTO `tp_auth_admin_login` VALUES ('12', '1', '218.250.225.178', '-', '-', '-', '1574152146');
INSERT INTO `tp_auth_admin_login` VALUES ('13', '1', '218.250.225.178', '-', '-', '-', '1574152184');
INSERT INTO `tp_auth_admin_login` VALUES ('14', '1', '218.250.225.178', '-', '-', '-', '1574152235');
INSERT INTO `tp_auth_admin_login` VALUES ('15', '1', '218.250.225.178', '-', '-', '-', '1574152301');
INSERT INTO `tp_auth_admin_login` VALUES ('16', '1', '218.250.225.178', '-', '-', '-', '1574152376');
INSERT INTO `tp_auth_admin_login` VALUES ('17', '1', '218.250.225.178', '-', '-', '-', '1574152413');
INSERT INTO `tp_auth_admin_login` VALUES ('18', '1', '127.0.0.1', '本地', '本地', '本地', '1577956114');
INSERT INTO `tp_auth_admin_login` VALUES ('19', '1', '127.0.0.1', '本地', '本地', '本地', '1578017644');
INSERT INTO `tp_auth_admin_login` VALUES ('20', '1', '127.0.0.1', '本地', '本地', '本地', '1578297023');
INSERT INTO `tp_auth_admin_login` VALUES ('21', '1', '127.0.0.1', '本地', '本地', '本地', '1578463292');

-- ----------------------------
-- Table structure for tp_auth_admin_menu
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_menu`;
CREATE TABLE `tp_auth_admin_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理ID',
  `menu_list` text COMMENT '权限id',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 独立权限';

-- ----------------------------
-- Records of tp_auth_admin_menu
-- ----------------------------
INSERT INTO `tp_auth_admin_menu` VALUES ('1', '1', '12,13,22,28,31,29,30', '1557737476', '1557801513');

-- ----------------------------
-- Table structure for tp_auth_menu
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_menu`;
CREATE TABLE `tp_auth_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `pid` int(11) DEFAULT '0' COMMENT '父id',
  `name` varchar(64) DEFAULT NULL COMMENT '菜单名称',
  `controller` varchar(64) DEFAULT NULL COMMENT '控制器名称',
  `action` varchar(128) DEFAULT NULL COMMENT '方法名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `icon` varchar(32) DEFAULT NULL COMMENT 'ICON 图标',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  `display` int(1) DEFAULT '1' COMMENT '是否在菜单显示 0|1 否|是',
  `public` int(1) DEFAULT '0' COMMENT '是否公共权限 0|1 否|是',
  `path` varchar(32) DEFAULT NULL COMMENT '完整路径',
  `level` tinyint(1) DEFAULT '1' COMMENT '等级',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 权限菜单';

-- ----------------------------
-- Records of tp_auth_menu
-- ----------------------------
INSERT INTO `tp_auth_menu` VALUES ('10', '0', '主页', 'index', 'index', '1', 'home', '0', '1557716671', '1557716671', '1', '1', '10', '1');
INSERT INTO `tp_auth_menu` VALUES ('11', '10', '控制台', 'index', 'main', '1', '', '0', '1557716698', '1557716698', '1', '1', '10/11', '2');
INSERT INTO `tp_auth_menu` VALUES ('12', '0', '系统设置', '', '', '1', 'set', '0', '1557716737', '1557716737', '1', '0', '12', '1');
INSERT INTO `tp_auth_menu` VALUES ('13', '12', '权限', '', '', '1', '', '0', '1557716778', '1557716778', '1', '0', '12/13', '2');
INSERT INTO `tp_auth_menu` VALUES ('14', '13', '菜单', 'auth', 'menu_list', '1', '', '0', '1557716800', '1557718556', '1', '0', '12/13/14', '3');
INSERT INTO `tp_auth_menu` VALUES ('15', '14', '新增', 'auth', 'menu_insert', '1', '', '0', '1557716835', '1557716835', '0', '0', '12/13/14/15', '4');
INSERT INTO `tp_auth_menu` VALUES ('16', '14', '修改', 'auth', 'menu_update', '1', '', '0', '1557717011', '1557717011', '0', '0', '12/13/14/16', '4');
INSERT INTO `tp_auth_menu` VALUES ('17', '14', '删除', 'auth', 'menu_delete', '1', '', '0', '1557717024', '1557717024', '0', '0', '12/13/14/17', '4');
INSERT INTO `tp_auth_menu` VALUES ('18', '13', '角色', 'auth', 'role_list', '1', '', '0', '1557718545', '1557718637', '1', '0', '12/13/18', '3');
INSERT INTO `tp_auth_menu` VALUES ('19', '18', '新增', 'auth', 'role_insert', '1', '', '0', '1557718577', '1557718577', '0', '0', '12/13/18/19', '4');
INSERT INTO `tp_auth_menu` VALUES ('20', '18', '修改', 'auth', 'role_update', '1', '', '0', '1557718629', '1557718642', '0', '0', '12/13/18/20', '4');
INSERT INTO `tp_auth_menu` VALUES ('21', '18', '删除', 'auth', 'role_delete', '1', '', '0', '1557718657', '1557718658', '0', '0', '12/13/18/21', '4');
INSERT INTO `tp_auth_menu` VALUES ('22', '13', '管理员', 'auth', 'admin_list', '1', '', '0', '1557730762', '1557730762', '1', '0', '12/13/22', '3');
INSERT INTO `tp_auth_menu` VALUES ('23', '22', '新增', 'auth', 'admin_insert', '1', '', '0', '1557730784', '1557730784', '0', '0', '12/13/22/23', '4');
INSERT INTO `tp_auth_menu` VALUES ('24', '22', '修改', 'auth', 'admin_update', '1', '', '0', '1557730795', '1557730795', '0', '0', '12/13/22/24', '4');
INSERT INTO `tp_auth_menu` VALUES ('25', '22', '删除', 'auth', 'admin_delete', '1', '', '0', '1557730811', '1557730811', '0', '0', '12/13/22/25', '4');
INSERT INTO `tp_auth_menu` VALUES ('26', '22', '独立权限', 'auth', 'admin_menu', '1', '', '0', '1557730830', '1557730830', '0', '0', '12/13/22/26', '4');
INSERT INTO `tp_auth_menu` VALUES ('27', '18', '权限设置', 'auth', 'role_menu', '1', '', '0', '1557798353', '1557798353', '0', '0', '12/13/18/27', '4');
INSERT INTO `tp_auth_menu` VALUES ('28', '22', '登录日志', 'auth', 'admin_login_log', '1', '', '0', '1557800490', '1557800496', '0', '0', '12/13/22/28', '4');
INSERT INTO `tp_auth_menu` VALUES ('29', '22', '操作日志', 'auth', 'admin_action_log', '1', '', '0', '1557800518', '1557800832', '0', '0', '12/13/22/29', '4');
INSERT INTO `tp_auth_menu` VALUES ('30', '29', '删除', 'auth', 'admin_login_delete', '1', '', '0', '1557801483', '1557801483', '0', '0', '12/13/22/29/30', '5');
INSERT INTO `tp_auth_menu` VALUES ('31', '28', '删除', 'auth', 'admin_action_delete', '1', '', '0', '1557801497', '1557801498', '0', '0', '12/13/22/28/31', '5');
INSERT INTO `tp_auth_menu` VALUES ('32', '10', '修改密码', 'auth', 'admin_pwd', '1', '', '0', '1557803756', '1557803756', '0', '1', '10/32', '2');
INSERT INTO `tp_auth_menu` VALUES ('33', '10', 'CMD工具', 'cmd', 'index', '1', '', '0', '1578019094', '1578019094', '0', '0', '10/33', '2');
INSERT INTO `tp_auth_menu` VALUES ('34', '0', '渠道管理', '', '', '1', 'user', '0', '1578463358', '1578463377', '1', '0', '34', '1');
INSERT INTO `tp_auth_menu` VALUES ('35', '34', '渠道列表', 'channel', 'index', '1', '', '0', '1578463464', '1578463464', '1', '0', '34/35', '2');
INSERT INTO `tp_auth_menu` VALUES ('36', '35', '新增', 'channel', 'insert', '1', '', '0', '1578463830', '1578463830', '0', '0', '34/35/36', '3');
INSERT INTO `tp_auth_menu` VALUES ('37', '35', '删除', 'channel', 'delete', '1', '', '0', '1578464146', '1578464146', '0', '0', '34/35/37', '3');
INSERT INTO `tp_auth_menu` VALUES ('38', '35', '修改', 'channel', 'update', '1', '', '0', '1578464674', '1578464674', '0', '0', '34/35/38', '3');

-- ----------------------------
-- Table structure for tp_auth_role
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_role`;
CREATE TABLE `tp_auth_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL COMMENT '角色名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `menu_list` text COMMENT '权限列表，用逗号分隔',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 角色';

-- ----------------------------
-- Records of tp_auth_role
-- ----------------------------
INSERT INTO `tp_auth_role` VALUES ('4', '测试', '1', '12,13,14,15,16,17,18,19,20,21,27,22,23,24,25,26', '1557726285', '1557798370');

-- ----------------------------
-- Table structure for tp_channel
-- ----------------------------
DROP TABLE IF EXISTS `tp_channel`;
CREATE TABLE `tp_channel` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(64) DEFAULT NULL COMMENT '渠道名称',
  `code` varchar(64) DEFAULT NULL COMMENT '渠道编码',
  `appid` varchar(128) DEFAULT NULL COMMENT 'APPID',
  `secret_key` varchar(255) DEFAULT NULL COMMENT '密钥',
  `status` tinyint(1) DEFAULT '1' COMMENT '开启状态 0|1 关闭|开启',
  `max_num` int(11) DEFAULT '0' COMMENT '最大支持在线用户数',
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='渠道管理';

-- ----------------------------
-- Records of tp_channel
-- ----------------------------
INSERT INTO `tp_channel` VALUES ('1', '测试-安代驾', '001', '89172389asiude', 'asd131dasdadasda', '1', '3', '1578465634');

-- ----------------------------
-- Table structure for tp_cmd_admin
-- ----------------------------
DROP TABLE IF EXISTS `tp_cmd_admin`;
CREATE TABLE `tp_cmd_admin` (
  `ca_id` int(11) NOT NULL AUTO_INCREMENT,
  `ca_nick` varchar(45) DEFAULT NULL COMMENT '昵称',
  `ca_name` varchar(30) NOT NULL COMMENT '用户名',
  `ca_pwd` varchar(35) DEFAULT NULL COMMENT '密码(md5+注册时间)',
  `ca_add_time` int(10) DEFAULT NULL COMMENT '注册时间',
  `ca_status` tinyint(1) DEFAULT '1' COMMENT '状态 0关闭 1开启',
  PRIMARY KEY (`ca_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='CMD工具-账号表';

-- ----------------------------
-- Records of tp_cmd_admin
-- ----------------------------
INSERT INTO `tp_cmd_admin` VALUES ('1', '超级账号', 'admin', '5b72613633647bf23556bb404c74745d', '1542850535', '1');

-- ----------------------------
-- Table structure for tp_cmd_admin_action_log
-- ----------------------------
DROP TABLE IF EXISTS `tp_cmd_admin_action_log`;
CREATE TABLE `tp_cmd_admin_action_log` (
  `caa_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ca_id` int(11) DEFAULT NULL COMMENT 'CMD账号ID',
  `caa_ip` varchar(15) DEFAULT NULL COMMENT '提交时的IP',
  `caa_content` varchar(1024) DEFAULT NULL COMMENT '命令行',
  `caa_time` int(10) DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`caa_id`),
  KEY `m_id` (`ca_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=91 DEFAULT CHARSET=utf8 COMMENT='CMD工具-命令行提交记录';

-- ----------------------------
-- Records of tp_cmd_admin_action_log
-- ----------------------------

-- ----------------------------
-- Table structure for tp_cmd_admin_login_log
-- ----------------------------
DROP TABLE IF EXISTS `tp_cmd_admin_login_log`;
CREATE TABLE `tp_cmd_admin_login_log` (
  `cal_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ca_id` int(11) DEFAULT NULL COMMENT 'cmd账号ID',
  `cal_ip` varchar(15) DEFAULT NULL COMMENT '登录IP',
  `cal_time` int(10) DEFAULT NULL COMMENT '登录时间',
  `cal_province` varchar(15) DEFAULT NULL COMMENT '登录地址省',
  `cal_city` varchar(25) DEFAULT NULL COMMENT '登录地址市',
  `cal_area` varchar(25) DEFAULT NULL COMMENT '登录地址区',
  PRIMARY KEY (`cal_id`),
  KEY `m_id` (`ca_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='CMD工具-账号登录日志';

-- ----------------------------
-- Records of tp_cmd_admin_login_log
-- ----------------------------
